Jean Hair for V4 by SWAM ()

3D Figure AssetsHair

Jean Hair for V4

File Types:   OBJ

Requirements:  Poser 5+ or DAZ Studio 3 or 4, Figures to use it with: V4 or Genesis

Departments:
3D Figure AssetsHair